karpen74us.sidemenudrawer

## Class SideMenuDrawer.ItemListAdapter

- java.lang.Object
- - android.widget.BaseAdapter
  - - android.widget.ArrayAdapter<SideMenuDrawer.ItemObject>
    - - karpen74us.sidemenudrawer.SideMenuDrawer.ItemListAdapter

All Implemented Interfaces:
  android.widget.Adapter, android.widget.Filterable, android.widget.ListAdapter, android.widget.SpinnerAdapter, android.widget.ThemedSpinnerAdapter

Enclosing class:
  SideMenuDrawer

    public class SideMenuDrawer.ItemListAdapter
    extends android.widget.ArrayAdapter<SideMenuDrawer.ItemObject>

### Field Summary

### Fields inherited from interface android.widget.Adapter

`IGNORE_ITEM_VIEW_TYPE, NO_SELECTION`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getCount()`
`long` `getItemId(int position)`
`android.view.View` `getView(int position, android.view.View convertView, android.view.ViewGroup parent)`

### Methods inherited from class android.widget.ArrayAdapter

`add, addAll, addAll, clear, createFromResource, getContext, getDropDownView, getDropDownViewTheme, getFilter, getItem, getPosition, insert, notifyDataSetChanged, remove, setDropDownViewResource, setDropDownViewTheme, setNotifyOnChange, sort`

### Methods inherited from class android.widget.BaseAdapter

`areAllItemsEnabled, getItemViewType, getViewTypeCount, hasStableIds, isEmpty, isEnabled, notifyDataSetInvalidated, registerDataSetObserver, unregisterDataSetObserver`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface android.widget.Adapter

`getItemViewType, getViewTypeCount, hasStableIds, isEmpty, registerDataSetObserver, unregisterDataSetObserver`

### Method Detail

#### getCount

    public int getCount()

Specified by:
  `getCount` in interface `android.widget.Adapter`
Overrides:
  `getCount` in class `android.widget.ArrayAdapter<SideMenuDrawer.ItemObject>`

#### getItemId

    public long getItemId(int position)

Specified by:
  `getItemId` in interface `android.widget.Adapter`
Overrides:
  `getItemId` in class `android.widget.ArrayAdapter<SideMenuDrawer.ItemObject>`

#### getView

    public android.view.View getView(int position,
                                     android.view.View convertView,
                                     android.view.ViewGroup parent)

Specified by:
  `getView` in interface `android.widget.Adapter`
Overrides:
  `getView` in class `android.widget.ArrayAdapter<SideMenuDrawer.ItemObject>`